<!DOCTYPE html>
<html lang="pt-br">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Testando V-FOR</title>
    <script src="vue.global.js"></script>
    <link rel="stylesheet" href="style.css">
</head>
<body>
    <div id="app">
        <button @click="showItens">
            {{show ? 'Ocultar lista' : 'Mostrar lista'}}
        </button>
        <ul v-if="show">
            <h3>Lista completa</h3>
            <li v-for="item in itens"> {{item}}</li>
        </ul>
        <ol v-if="show">
            <h3>Lista com  Filtros</h3>
            <li v-bind:class="{filtro: item != 'Bola' && item != 'Tenis'}" v-for="item in itens">
                {{item == 'Bola' || item == 'Tenis' ? 'item: ' + item : null}}
            </li>
        </ol>
    </div><!--Fechamento div principal-->
    
    <script src="process.js"></script>
</body>
</html>